using JetBrains.Annotations;
using PkmnLib.Static.Utils;

namespace PkmnLib.Dynamic.ScriptHandling.Registry;

[AttributeUsage(AttributeTargets.Class), MeansImplicitUse]
public class ItemScriptAttribute : Attribute
{
    /// <summary>
    /// The name of the script.
    /// </summary>
    public StringKey Name { get; }

    /// <inheritdoc cref="ItemScriptAttribute"/>
    public ItemScriptAttribute(string name)
    {
        Name = name;
    }
}