using PkmnLib.Plugin.Gen7.Scripts.Pokemon;
using PkmnLib.Static;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "charge")]
public class Charge : Script
{
    /// <inheritdoc />
    public override void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        move.User.ChangeStatBoost(Statistic.SpecialDefense, 1, true);
        move.User.Volatile.Add(new ChargeEffect());
    }
}