using PkmnLib.Static.Moves;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "foul_play")]
public class FoulPlay : Script
{
    /// <inheritdoc />
    public override void ChangeOffensiveStatValue(IExecutingMove move, IPokemon target, byte hit, ref uint value)
    {
        value = move.UseMove.Category == MoveCategory.Physical
            ? target.BoostedStats.Attack
            : target.BoostedStats.SpecialAttack;
    }
}