namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "grass_knot")]
public class GrassKnot : Script
{
    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        var targetWeight = target.WeightInKg;
        basePower = targetWeight switch
        {
            < 10 => 20,
            < 25 => 40,
            < 50 => 60,
            < 100 => 80,
            < 200 => 100,
            _ => 120,
        };
    }
}